-- | Dynamic constants.
module Music.LilyPond.Light.Constant.Dynamic where

import qualified Music.Theory.Dynamic_Mark as T {- hmt -}

import Music.LilyPond.Light.Model

dynamic_mark :: T.Dynamic_Mark_T -> Annotation
dynamic_mark dyn = Dynamic (Dynamic_Mark dyn)

pppp,ppp,pp,p,mp,mf,f,ff,fff,ffff,fp,sfz :: Annotation
pppp = dynamic_mark T.PPPP
ppp = dynamic_mark T.PPP
pp = dynamic_mark T.PP
p = dynamic_mark T.P
mp = dynamic_mark T.MP
mf = dynamic_mark T.MF
f = dynamic_mark T.F
ff = dynamic_mark T.FF
fff = dynamic_mark T.FFF
ffff = dynamic_mark T.FFFF
fp = dynamic_mark T.FP
sfz = dynamic_mark T.SFZ

cresc,decr,end_hairpin,end_cresc,end_decr,espressivo :: Annotation
cresc = Dynamic (Hairpin T.Crescendo)
decr = Dynamic (Hairpin T.Diminuendo)
end_hairpin = Dynamic (Hairpin T.End_Hairpin)
end_cresc = end_hairpin
end_decr = end_hairpin
espressivo = Dynamic Espressivo
